Bug 141657 - Installer initrd missing PCI ID for i2o_block device
Installer initrd missing PCI ID for i2o_block device
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-02 13:53 EST by Jesse Keating
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 02:29:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2004-12-02 13:53:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
FC3 installer doesn't have the PCI ID of Adaptec 0-channel RAID cards
used quite often with Supermicro 1u systems.  If I add the PCI ID in
manually installation progresses without a hitch.

PCI ID I have is 0x1044 0xa511.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to install

    

Actual Results:  i2o_core device not found.

Expected Results:  i2o_core modules and deps loaded.

Additional info: I haven't yet tried x86_64, but I'm pretty sure the
problem will exist there as well.
Comment 1 Jeremy Katz 2004-12-02 13:55:36 EST
The installer uses modules.pcimap which is generated from the kernel
modules.
Comment 2 Jesse Keating 2004-12-02 14:10:50 EST
<sheepish>That would be i2o_block, not i2o_core.</sheepish>
Comment 3 Dave Jones 2005-01-14 02:29:37 EST
drivers/message/i2o/pci.c:   {PCI_DEVICE(PCI_VENDOR_ID_DPT, 0xa511)},

present in the 2.6.10 updates.
This doesn't really help the situation for the FC3 installer, but at
least FC4 should get things right.

Note You need to log in before you can comment on or make changes to this bug.